<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="fill_parent"
    android:layout_height="fill_parent"
    android:background="#ffffff">
    <TextView android:id="@+id/msg_recipent"
        android:paddingLeft="20dip"
        android:paddingRight="20dip"
        android:paddingTop="10dip"
        android:layout_width="match_parent"
        android:textColor="#000000"
        android:layout_height="wrap_content"
        android:gravity="center_vertical"
        android:singleLine="true"
        android:textSize="18sp"/>
    <TextView android:id="@+id/msg_date"
        android:paddingLeft="20dip"
        android:layout_marginTop="5dip"
        android:layout_width="match_parent"
        android:textColor="#000000"
        android:layout_height="wrap_content"
        android:layout_below="@id/msg_recipent"
        android:gravity="center_vertical"
        android:textSize="18sp"/>
    <TextView android:id="@+id/by_card"
        android:paddingLeft="20dip"
        android:layout_marginTop="5dip"
        android:layout_width="match_parent"
        android:textColor="#000000"
        android:layout_height="wrap_content"
        android:layout_below="@id/msg_date"
        android:gravity="center_vertical"
        android:textSize="18sp"/>
    <LinearLayout android:layout_width="fill_parent"
        android:layout_height="wrap_content"
        android:layout_below="@id/by_card"
        android:layout_marginTop="7dip"
        android:layout_marginBottom="45dip"
        android:paddingLeft="10dip"
        android:paddingRight="10dip"
        android:orientation="vertical"
        android:background="#ffffff">
    	<ScrollView android:layout_width="fill_parent"
        	android:layout_height="wrap_content"
        	android:scrollbars="vertical">
    		<TextView android:id="@+id/msg_text"
    			android:paddingLeft="10dip"
    			android:paddingRight="10dip"
        		android:layout_marginTop="20dip"
        		android:layout_width="match_parent"
        		android:textColor="#000000"
        		android:layout_height="wrap_content"
        		android:textSize="18sp"
        		android:autoLink="all" 
        		android:linksClickable="false"/>
    	</ScrollView>
    </LinearLayout>
</RelativeLayout>
